import { flags } from "@salesforce/command";
import { AnyJson } from "@salesforce/ts-types";
import SFPowerkitCommand from "../../../sfpowerkitCommand";
export default class Valid extends SFPowerkitCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        package: flags.Discriminated<flags.String>;
        bypass: flags.Discriminated<flags.Array<string>>;
        apiversion: flags.Builtin;
        loglevel: flags.Discriminated<flags.Enum<string>>;
    };
    protected static requiresProject: boolean;
    private coverageJSON;
    execute(): Promise<AnyJson>;
    validate(packageToBeScanned: AnyJson): Promise<SFDXPackage>;
    useCustomCoverageJSON(): void;
    isNotDefaultApiVersion(): boolean;
}
export declare class SFDXPackage {
    unsupportedtypes: any[];
    supportedTypes: any[];
    typesToBypass: any[];
    packageName: string;
    valid: boolean;
    processed: boolean;
}
